#ifndef _atm_cnxadsl_h_
#define _atm_cnxadsl_h_

/******************************************************************************
	IO control commands
******************************************************************************/
#define TIGR_MAGIC '%'

#define TIG_0			_IOW(TIGR_MAGIC, 0,struct atmif_sioc)
#define TIG_LOAD_START		_IOW(TIGR_MAGIC, 1,struct atmif_sioc)
#define TIG_LOAD_RECORD		_IOW(TIGR_MAGIC, 2,struct atmif_sioc)
#define TIG_LOAD_DONE		_IOW(TIGR_MAGIC, 3,struct atmif_sioc)
#define TIG_SET_PARAMS		_IOW(TIGR_MAGIC, 4,struct atmif_sioc)
#define TIG_START_DSL		_IOW(TIGR_MAGIC, 5,struct atmif_sioc)
#define TIG_DEVICE_SPEC		_IOW(TIGR_MAGIC, 6,struct atmif_sioc)
#define TIG_IS_SHOWTIME		_IOW(TIGR_MAGIC, 7,struct atmif_sioc)
#define TIG_BKGND_POLL		_IOW(TIGR_MAGIC, 8,struct atmif_sioc)
#define TIG_SIDEVICE_POLL	_IOW(TIGR_MAGIC, 9,struct atmif_sioc)
#define TIG_CLEAR_STATS		_IOW(TIGR_MAGIC,10,struct atmif_sioc)
// this function is used to read controller logs.  The argument must be
// a buffer at least 256 bytes long.  The return will be a null terminated
// character string
#define TIG_GET_LOG		_IOW(TIGR_MAGIC,11,struct atmif_sioc) 
#define TIG_GET_PRINT_BUFF	_IOW(TIGR_MAGIC,12,struct atmif_sioc)
#define TIG_GET_DEBUG_DATA	_IOW(TIGR_MAGIC,13,struct atmif_sioc)
#define TIG_TMR_POLL		_IOW(TIGR_MAGIC,14,struct atmif_sioc)

#if 0 /* Not Supported on Linux */
#define IOCTL_DEVICE_SPECIFIC		TIG_START_DSL
#define IOCTL_GET_VERSION	       	TIG_DEVICE_SPEC
#define IOCTL_CNX_DEV_SPECIFIC		TIG_IS_SHOWTIME
#define IOCTL_CNX_NET_DEV_SPECIFIC	TIG_BKGND_POLL
#define IOCTL_CNX_NET_DATA		TIG_SIDEVICE_POLL
#define IOCTL_CNX_NET_OPEN		TIG_CLEAR_STATS
#define IOCTL_CNX_NET_CLOSE		TIG_GET_LOG
#define IOCTL_CNX_NET_ECHO_PARENT	TIG_GET_PRINT_BUFF
#endif
#endif		//#ifndef _atm_cnxadsl_h_
